%define upstream_name    CPAN-Uploader
%define upstream_version 0.103018

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Upload things to the CPAN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.84.0
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(LWP::Protocol::https) >= 1.0.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

# they both provides a binary called cpan-upload
Conflicts: cpan-uploader

%{?perl_default_filter}

%description
This code is mostly derived from cpan-upload-http by Brad Fitzpatrick,
which in turn was based on cpan-upload by Neil Bowers. I (rjbs) didn't
want to have to use a system call to run either of those, so I
refactored the code into this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/cpan-upload

%changelog
* Mon Jan 16 2023 tv <tv> 0.103.18-1.mga9
+ Revision: 1933767
- update to 0.103018

* Mon Jan 02 2023 tv <tv> 0.103.17-1.mga9
+ Revision: 1928966
- update to 0.103017

* Mon Mar 21 2022 umeabot <umeabot> 0.103.16-2.mga9
+ Revision: 1815124
- Mageia 9 Mass Rebuild

* Tue Nov 02 2021 tv <tv> 0.103.16-1.mga9
+ Revision: 1753679
- update to 0.103016

* Sat Aug 22 2020 tv <tv> 0.103.15-1.mga8
+ Revision: 1617767
- update to 0.103015

* Tue Jun 09 2020 tv <tv> 0.103.14-1.mga8
+ Revision: 1591309
- update to 0.103014

* Wed Feb 12 2020 umeabot <umeabot> 0.103.13-3.mga8
+ Revision: 1503494
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.103.13-2.mga7
+ Revision: 1281875
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 sander85 <sander85> 0.103.13-1.mga7
+ Revision: 1133251
- update to 0.103013

* Sat Jun 18 2016 pterjan <pterjan> 0.103.12-2.mga6
+ Revision: 1024499
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.103.12-1.mga6
+ Revision: 923557
- update to 0.103012

* Wed Oct 14 2015 sander85 <sander85> 0.103.11-1.mga6
+ Revision: 891274
- update to 0.103011

* Thu Aug 13 2015 sander85 <sander85> 0.103.10-1.mga6
+ Revision: 864302
- update to 0.103010

* Sun Jul 05 2015 sander85 <sander85> 0.103.9-1.mga6
+ Revision: 850840
- update to 0.103009

* Sun Oct 19 2014 umeabot <umeabot> 0.103.7-5.mga5
+ Revision: 789854
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.103.7-4.mga5
+ Revision: 746989
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.103.7-3.mga5
+ Revision: 732995
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.103.7-2.mga5
+ Revision: 683697
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.103.7-1.mga5
+ Revision: 614612
- update to 0.103007

* Fri Feb 07 2014 shlomif <shlomif> 0.103.6-1.mga5
+ Revision: 585075
- update to 0.103006

* Sat Oct 19 2013 umeabot <umeabot> 0.103.4-2.mga4
+ Revision: 526322
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.103.4-1.mga4
+ Revision: 436612
- update to 0.103004

* Sun Jan 13 2013 umeabot <umeabot> 0.103.2-2.mga3
+ Revision: 363684
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.103.2-1.mga3
+ Revision: 341920
- update to 0.103002

* Tue Jun 05 2012 jquelin <jquelin> 0.103.1-1.mga3
+ Revision: 254580
- update to 0.103001

* Wed Jul 27 2011 misc <misc> 0.103.0-2.mga2
+ Revision: 129936
- fix file conflicts

* Mon Apr 11 2011 jquelin <jquelin> 0.103.0-1.mga1
+ Revision: 83350
- update to 0.103000

* Sun Jan 23 2011 jquelin <jquelin> 0.102.150-1.mga1
+ Revision: 33606
- mageia rebuild
- imported package perl-CPAN-Uploader

